summaryrefslogtreecommitdiffstats
path: root/academic/mopac7
diff options
context:
space:
mode:
Diffstat (limited to 'academic/mopac7')
-rw-r--r--academic/mopac7/README9
-rw-r--r--academic/mopac7/mopac7.SlackBuild77
-rw-r--r--academic/mopac7/mopac7.info10
-rw-r--r--academic/mopac7/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/academic/mopac7/README b/academic/mopac7/README
new file mode 100644
index 0000000000..ac2cf183e9
--- /dev/null
+++ b/academic/mopac7/README
@@ -0,0 +1,9 @@
+MOPAC provides routines to solve the electronic structure of molecules
+on a semi-empirical level. Available methods include MNDO, MINDO/3,
+AM1 and PM3.
+
+Tis package contains MOPAC7 libraries to add semi-empirical
+functionality to ghemical and possibly to other computational
+chemistry apps.
+
+For modern MOPAC executables look at http://openmopac.net
diff --git a/academic/mopac7/mopac7.SlackBuild b/academic/mopac7/mopac7.SlackBuild
new file mode 100644
index 0000000000..bd4093e3c9
--- /dev/null
+++ b/academic/mopac7/mopac7.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for mopac7
+
+# Written by Daniil Bratashov (dn2010@gmail.com)
+
+PRGNAM=mopac7
+VERSION=${VERSION:-1.15}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/mopac7/mopac7.info b/academic/mopac7/mopac7.info
new file mode 100644
index 0000000000..f1e90871b4
--- /dev/null
+++ b/academic/mopac7/mopac7.info
@@ -0,0 +1,10 @@
+PRGNAM="mopac7"
+VERSION="1.15"
+HOMEPAGE="http://www.uku.fi/~thassine/projects/ghemical/"
+DOWNLOAD="http://www.bioinformatics.org/ghemical/download/current/mopac7-1.15.tar.gz"
+MD5SUM="7e509fd03154b37cc682593365c233f4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Daniil Bratashov"
+EMAIL="dn2010@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/academic/mopac7/slack-desc b/academic/mopac7/slack-desc
new file mode 100644
index 0000000000..fb252ceeaf
--- /dev/null
+++ b/academic/mopac7/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mopac7: MOPAC7 (MOPAC sem-empirical computational chemistry library)
+mopac7:
+mopac7: MOPAC library provides routines to solve the electronic structure of
+mopac7: molecules on a semi-empirical level. Available methods include MNDO,
+mopac7: MINDO/3, AM1 and PM3.
+mopac7:
+mopac7:
+mopac7:
+mopac7:
+mopac7:
+mopac7: